List projects with filters and pagination
curl --request GET \
--url https://api.opensource-together.com/projectsimport requests
url = "https://api.opensource-together.com/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.opensource-together.com/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "pjt_c54b633eb12f4900b92b34e222096449",
"title": "My Awesome Project",
"description": "A revolutionary web application",
"repoUrl": "https://github.com/username/repository",
"provider": "GITHUB",
"image": "https://example.com/image.jpg",
"logoUrl": "https://example.com/logo.png",
"published": true,
"trending": true,
"githubUrl": "https://github.com/username/repository",
"gitlabUrl": "https://gitlab.com/username/repository",
"twitterUrl": "https://twitter.com/username",
"linkedinUrl": "https://linkedin.com/in/username",
"discordUrl": "https://discord.gg/server",
"websiteUrl": "https://example.com",
"imagesUrls": [
"<string>"
],
"projectTechStacks": [
{
"id": "tst_c54b633eb12f4900b92b34e222096449",
"name": "React",
"iconUrl": "https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/react/react-original.svg",
"type": "TECH"
}
],
"projectCategories": [
{
"id": "cat_c54b633eb12f4900b92b34e222096449",
"name": "API & Microservices"
}
]
}
],
"pagination": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"size": 10
},
"timestamp": "2023-11-07T05:31:56Z"
}Project
List projects with filters and pagination
Get all published projects with optional filters, pagination, and repository information
GET
/
projects
List projects with filters and pagination
Query Parameters
Filter by published status. If not provided, returns all projects.
Example:
true
Sort direction
Available options:
asc, desc Field to sort by
Available options:
createdAt, title, trending Comma-separated list of category public IDs. Projects must have ALL specified categories (AND logic).
Example:
"cat_ce9811d7a8964dab823393249a26cd81,cat_ce9811d7a8964dab823393249a26cd82"
Comma-separated list of techstack public IDs. Projects must have ALL specified techstacks (AND logic).
Example:
"tst_ce9811d7a8964dab823393249a26cd81,tst_ce9811d7a8964dab823393249a26cd82"
Number of items per page (minimum: 1, maximum: 100)
Required range:
1 <= x <= 100Example:
10
Page number for pagination (minimum: 1)
Required range:
x >= 1Example:
1